#
Summary: makes it so that when a users sends mail, it has @fnal.gov appended
Name: zz_pine_user_domain
Version: 1.0
Release: 1
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermilab
Packager: Troy Dawson
requires: pine
%description

By default when a user sends mail from pine thier email address is
myname@mycomputer.fnal.gov.  This rpm changes it so that the default
is myname@fnal.gov.

%files
%post
#
# This modifies /etc/pine.conf to add fnal.gov to the user-domain
#
cat /etc/pine.conf | sed 's:^user-domain=$:user-domain=fnal.gov:'  > /etc/pine.conf.tmp
mv -f /etc/pine.conf.tmp /etc/pine.conf

%postun
if [ "$1" = "0" ] ; then
	#
	# This modifies /etc/pine.conf to remove fnal.gov from the user-domain
	#
	cat /etc/pine.conf | sed 's:^user-domain=fnal.gov$:user-domain=:'  > /etc/pine.conf.tmp
	mv -f /etc/pine.conf.tmp /etc/pine.conf
fi

%triggerin -- pine
cat /etc/pine.conf | sed 's:^user-domain=$:user-domain=fnal.gov:'  > /etc/pine.conf.tmp
mv -f /etc/pine.conf.tmp /etc/pine.conf
